Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.actions.window
Class NextDocumentAction

    java.lang.Object
      javax.swing.AbstractAction
          info.bioinfweb.treegraph.gui.actions.TreeGraphAction
              info.bioinfweb.treegraph.gui.actions.DocumentAction
                  info.bioinfweb.treegraph.gui.actions.window.NextDocumentAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class NextDocumentAction

extends DocumentAction
implements Action

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`NextDocumentAction(MainFrame mainFrame)`

Method Summary
`protected void` | `onActionPerformed(ActionEvent e, TreeInternalFrame frame)` Subclasses should implement this method instead of overriding `DocumentAction.actionPerformed(ActionEvent)`.
`void` | `setEnabled(Document document, TreeSelection selection)`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.DocumentAction
`actionPerformed, getMainFrame, oneElementSelected`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.TreeGraphAction
`loadSymbols`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Constructor Detail

### NextDocumentAction

    public NextDocumentAction(MainFrame mainFrame)

Method Detail

### onActionPerformed

    protected void onActionPerformed(ActionEvent e,
                                     TreeInternalFrame frame)

  Description copied from class: `DocumentAction`
  Subclasses should implement this method instead of overriding `DocumentAction.actionPerformed(ActionEvent)`.

  Specified by:
    `onActionPerformed` in class `DocumentAction`
    `frame` - - the internal frame which was active while the user performed this action

### setEnabled

    public void setEnabled(Document document,
                           TreeSelection selection)

  Specified by:
    `setEnabled` in class `DocumentAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD